# Models

Types:

```python
from nemo_platform.types.models import (
    Adapter,
    BaseModelFilter,
    CreateModelEntityRequest,
    FinetuningTypeFilter,
    ModelEntity,
    ModelEntityFilter,
    ModelEntitySortField,
    ModelEntitysPage,
    UpdateModelEntityRequest,
)
```

Methods:

- client.models.create(\*, workspace, \*\*params) -> ModelEntity
- client.models.retrieve(name, \*, workspace, \*\*params) -> ModelEntity
- client.models.update(name, \*, workspace, \*\*params) -> ModelEntity
- client.models.list(\*, workspace, \*\*params) -> SyncDefaultPagination[ModelEntity]
- client.models.delete(name, \*, workspace) -> None

## Adapters

Types:

```python
from nemo_platform.types.models import (
    CreateAdapterRequest,
    CreateModelAdapterRequest,
    Lora,
    UpdateAdapterRequest,
)
```

Methods:

- client.models.adapters.create(model_name, \*, workspace, \*\*params) -> Adapter
- client.models.adapters.update(adapter, \*, workspace, model_name, \*\*params) -> Adapter
- client.models.adapters.delete(adapter, \*, workspace, model_name) -> None
